Bug 1892 - [UPDATE REQUEST] Networkmanager-0.9.8.0
: [UPDATE REQUEST] Networkmanager-0.9.8.0
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-06 14:47 MSD by Aleksandr Kazantcev
Modified: 2013-04-24 12:59 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
report (1.68 MB, application/vnd.oasis.opendocument.text)
2013-04-22 16:03 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-04-06 14:47:25 MSD
New version of NM
Comment 1 Aleksandr Kazantcev 2013-04-06 14:48:22 MSD
https://abf.rosalinux.ru/build_lists/1051302
https://abf.rosalinux.ru/build_lists/1051303

Advisory: NetworkManager, network-manager-applet and its associated VPN plugins were all updated today to version 0.9.8 that enable support for Wi-Fi hotspots in AP Mode, 4G and LTE connections and bridging of network interfaces for hardware that support them.

This release also fixes IPv6 bugs, better rfkill handling, a fix for NetworkManager automatically connecting to unsuccessful networks and keeps asking for passwords and support to automatically connect to VPN on certain networks.

Below are some of the features and fixes that were added to NetworkManager suite.

- added support for Bridge interfaces
- IPv6 fixes, better rfkill handling
- significant WiFi fixes (don’t autoconnect to unsuccessful networks
- autoconnect support for VPN connections
- support for AP-mode mobile hotspot (if your driver supports it)
- support for ModemManager 0.7/0.8, DHCPv6 DDNS
- WiFi Proactive Key Caching
Comment 3 Vladimir Potapov 2013-04-09 13:22:31 MSD
networkmanager-openswan can be installed without openswan.

Whether it is correct?
Comment 4 Aleksandr Kazantcev 2013-04-09 13:49:47 MSD
May be 'yes' Openswan in contrib repo, but all nm-applet package need be in main.
Comment 5 Vladimir Potapov 2013-04-09 13:56:35 MSD
Maybe add a soft link to if contrib is connected, the openswan package was installed.
Comment 6 Alexander Burmashev 2013-04-09 14:00:28 MSD
I am not sure, but is there a chance that adding requires via suggests: can help ?
Comment 7 Aleksandr Kazantcev 2013-04-09 14:26:53 MSD
nm-openswan with suggests openswan

https://abf.rosalinux.ru/build_lists/1052354
https://abf.rosalinux.ru/build_lists/1052355
Comment 8 Vladimir Potapov 2013-04-10 10:26:01 MSD
The package route to extended testing
Comment 9 Andrey Bondrov 2013-04-22 14:55:35 MSD
This package should be Number 1 in testing list. Please verify it ASAP. Today or at least tommorow, not later.
Comment 10 Eugene Budanov 2013-04-22 15:01:18 MSD
STRONGLY necessary update. I agree with Andrew Bondrov, this this package №1 which solved many annoying bugs and add many useful features.
Comment 11 Vladimir Potapov 2013-04-22 16:03:52 MSD
Created attachment 1319 [details]
report

************************
Extented testing report
***********************
Comment 12 Vladimir Potapov 2013-04-22 16:09:07 MSD
knetworkmanager-0.9.0.7-2-rosa2012.1
networkmanager-applet-0.9.8.0-1-rosa2012.1
networkmanager-openvpn-0.9.8.0-1-rosa2012.1
networkmanager-pptp-0.9.8.0-2-rosa2012.1
networkmanager-openconnect-0.9.8.0-1-rosa2012.1
NetworkManager-l2tp-0.9.6-1-rosa2012.1
networkmanager-openswan-0.9.8.0-2-rosa2012.1
********************** Advisory ***************************
NetworkManager, network-manager-applet and its associated VPN plugins were all updated today to version 0.9.8 that enable support for Wi-Fi hotspots in AP Mode, 4G and LTE connections and bridging of network interfaces for hardware that support them.
********************* Changelog **************************
- added support for Bridge interfaces
- IPv6 fixes, better rfkill handling
- significant WiFi fixes (don’t autoconnect to unsuccessful networks
- autoconnect support for VPN connections
- support for AP-mode mobile hotspot (if your driver supports it)
- support for ModemManager 0.7/0.8, DHCPv6 DDNS
- WiFi Proactive Key Caching
*************************************************************
QA Verified
Comment 13 Aleksandr Kazantcev 2013-04-22 16:10:36 MSD
Please create bugreports for all regress and error in translate - we fix this and some error, that will uppear as soon as possible.